Subject: Re: [Dime] Comments on RFC3588bis

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Sun, 1 Mar 2009 15:03:51 +0100

Hi Fortune,
 
The DIME working group is working under a charter that includes
maintenance and extensions of the Diameter base protocol for specific
AAA applications. 
A change in the scope of the Diameter base protocol seems to me to be
beyond what the WG is chartered to do at this point in time. If you
believe that an extension of the scope of Diameter is necessary you need
to came with a separate proposal, as this looks like a change of charter
or maybe the charter of another working group. 
 
Dan

________________________________

	From: [email-masked] [mailto:[email-masked]] On
Behalf Of Fortune HUANG
	Sent: Saturday, February 28, 2009 11:51 AM
	To: [email-masked]
	Subject: [Dime] Comments on RFC3588bis

	Hi all,
	 
	With the wide use in multiple applications, I think nowadays the
Diameter protocol should not be considered as only a AAA protocol. Many
of the Diameter applications have nothing to do with the Authentication,
Authorization and Accounting, although the AAA applications are some of
the important applications. Therefore, I propose we revise RFC3588bis to
reflect this fact.
	 
	Take the definitions in section 1.3 for example.
	 
	"   Diameter Client
	 
	      A Diameter Client is a device at the edge of the network
that
	      performs access control.  ...
	...
	 
	Diameter Server 
	 
	      A Diameter Server is one that handles authentication,
	      authorization and accounting requests for a particular
realm.  ..."
	 
	For an non-AAA application, these defintions are not precise at
all. 

	Best Regards,
	Fortune

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Sun, 1 Mar 2009 16:00:26 +0100

Hi Fortune,
 
RFC 3588 Abstract starts with: 
 
> The Diameter base protocol is intended to provide an Authentication,
   Authorization and Accounting (AAA) framework for applications such as
   network access or IP mobility. 
 
DIME is chartered with extending Diameter within the scope of 3588 and
not beyond.  Non-AAA applications are beyond the scope. 
 
I read the phrase that you quote from the DIME charter as allowing to
consider applications other than IP telephony and LAN AAA, but you still
need to be within the scope of RFC 3588.
 
If you want to discuss further extensions of the scope of Diameter you
need a WG rechartering or another WG. 
 
Regards,
 
Dan

	From: Fortune HUANG [mailto:[email-masked]] 
	Sent: Sunday, March 01, 2009 4:49 PM
	To: Romascanu, Dan (Dan); [email-masked]
	Subject: RE: [Dime] Comments on RFC3588bis

	Hi Dan,

	Thank you very much for your advice. But before moving forward
with your guidance, please allow me ask you a question in order to get
rid of my doubt.

	On the website of the DIME WG (i.e.
http://www.ietf.org/html.charters/dime-charter.html), I found the
following statement in the charter.

	"The Diameter Maintanence and Extensions WG will focus on
maintenance and extensions to the Diameter protocol required to enable
its use in applications such as IP telephony and Local Area Network
authentication, authorization and accounting."

	On reading this sentence, I think the AAA applications are only
the example applications for DIME WG. I can't find any clue that the non
AAA applications are outside the scope of DIME WG. 

	Did I understand the charter incorrectly at this point? Or did I
not get the right version of the charter? Thanks.

	Best Regards,

	Fortune 

	From: Romascanu, Dan (Dan) [mailto:[email-masked]] 
	Sent: Sunday, March 01, 2009 10:04 PM
	To: Fortune HUANG; [email-masked]
	Subject: RE: [Dime] Comments on RFC3588bis

	Hi Fortune,

	A change in the scope of the Diameter base protocol seems to me
to be beyond what the WG is chartered to do at this point in time. If
you believe that an extension of the scope of Diameter is necessary you
need to came with a separate proposal, as this looks like a change of
charter or maybe the charter of another working group. 

	Dan

		From: [email-masked]
[mailto:[email-masked]] On Behalf Of Fortune HUANG
		Sent: Saturday, February 28, 2009 11:51 AM
		To: [email-masked]
		Subject: [Dime] Comments on RFC3588bis

		Hi all,

		With the wide use in multiple applications, I think
nowadays the Diameter protocol should not be considered as only a AAA
protocol. Many of the Diameter applications have nothing to do with the
Authentication, Authorization and Accounting, although the AAA
applications are some of the important applications. Therefore, I
propose we revise RFC3588bis to reflect this fact.

		"   Diameter Client

		      A Diameter Client is a device at the edge of the
network that
		      performs access control.  ...

		...

		Diameter Server 

		      A Diameter Server is one that handles
authentication,
		      authorization and accounting requests for a
particular realm.  ..."

		For an non-AAA application, these defintions are not
precise at all. 

		Best Regards,

		Fortune